<div class="navHomepage">
  <div class="navHomepageLogo fl">
    <%=link_to image_tag("../images/nav_logo.png",width:"51px", height: "45px",class: "mt3"), user_activities_path(User.current.id)%>
  </div>
  <div class="fl">
    <ul>
      <li class="navHomepageMenu fl">
        <%= link_to "首页",user_activities_path(User.current.id), :class => "c_white f16 db"%>
      </li>
      <li class="navHomepageMenu fl">
        <a href="<%=url_for(:controller => 'users', :action => 'user_resource',:id=>User.current.id,:type=>1)%>" class="c_white f16 db">资源库</a></li>
      <li class="navHomepageMenu fl">
        <%= link_to "作业",  user_homeworks_user_path(User.current.id), :class => "c_white f16 db"%>
      </li>
      <li class="navHomepageMenu fl mr30">
        <a href="http://forge.trustie.net/forums/1/memos/1168" class="c_white f16 db">帮助中心</a>
      </li>
    </ul>
  </div>
  <script>
      <% type = type%>
      $(function (){
          if('<%= type %>' != null && '<%= type %>' == 'courses' ){
              $('input:radio[value="courses"]').attr('checked','checked');
          }
          if('<%= type %>' != null && '<%= type %>' == 'projects' ){
              $('input:radio[value="projects"]').attr('checked','checked');
          }
          if('<%= type %>' != null && '<%= type %>' == 'users' ){
              $('input:radio[value="users"]').attr('checked','checked');
          }
      });

      $(function(){
          $("#navHomepageSearchInput").keypress(function(e){
              var name = $.trim($('#navHomepageSearchInput').val());
              if (e.keyCode == '13' && name != "" &&  name.length != 0) {
                  $('#type').val($('input[type=radio]:checked').val());
                  $(this).parent().submit();
              }
          })
      });

      function search_in_header(obj){
          var name = $.trim($('#navHomepageSearchInput').val());
          if (name != "" &&  name.length != 0) {
              $('#type').val($('input[type=radio]:checked').val());
              obj.parent().submit();
          }
      }
  </script>
  <div class="fl" id="navHomepageSearch">
    <!--<form class="navHomepageSearchBox">-->
    <% name = name%>

    <%= form_tag({controller: :welcome, action: :search },:class=>'navHomepageSearchBox', method: :get) do %>
      <input type="text" name="q" value="<%= name.nil? ? "" : name%>" id="navHomepageSearchInput" class="navHomepageSearchInput" placeholder="请输入关键词进行搜索"/>
      <input type="hidden" name="search_type" id="type" value=""/>
      <input type="text" style="display: none;"/>
      <a href="javascript:void(0);" class="homepageSearchIcon" onclick="search_in_header($(this));"></a>
    <% end %>
    <div class="navSearchTypeBox" id="navHomepageSearchType">
      <div class="fl mr15 mt8">
        <input type="radio"  value="courses" name="search_type" checked/>
        课程
      </div>
      <div class="fl mr15 mt8">
        <input type="radio"  value="projects" name="search_type" />
        项目
      </div>
      <div class="fl mr15 mt8">
        <input type="radio" value="users" name="search_type"  />
        用户
      </div>
      <div id="navSearchAlert" class="fr mr10">
        <span class="c_red">请选择搜索类型</span>
      </div>
    </div>
  </div>

  <div class="navHomepageProfile" id="navHomepageProfile">
    <ul>
      <li class="homepageProfileMenuIcon" id="homepageProfileMenuIcon">
        <%= link_to "<div class='mt5 mb8' id='user_avatar'>#{image_tag(url_to_avatar(User.current),:width =>"40",:height => "40",:class => "portraitRadius",:alt=>"头像", :id => "nh_user_logo")}</div>".html_safe,user_activities_path(User.current.id)%>
        <ul class="topnav_login_list none" id="topnav_login_list">
          <li>
            <%= link_to "修改资料", my_account_path, :class => "menuGrey"%>
          </li>
          <!--<li><a href="javascript:void(0);" class="menuGrey">账号设置</a> </li>-->
          <li>
            <%= link_to "退出",signout_path,:class => "menuGrey",:method => "post"%>
          </li>
        </ul>
      </li>
    </ul>
  </div>

  <div class="navHomepageNews">
    <%= link_to "", user_message_path(User.current), :class => "homepageNewsIcon" %>
    <% if User.current.count_new_message >0 %>
        <div ><%= link_to User.current.count_new_message , user_message_path(User.current), :class => "newsActive" %></div>
    <% end %>
      <%#= link_to User.current.count_new_message, user_message_path(User.current), :class => "homepageNewsIcon" %>
  </div>
</div>

<script type="text/javascript">
    //搜索相关
    $("#navHomepageSearch").mouseover(function(){
        $("#navHomepageSearchType").show();
    }).mouseout(function(){
        $("#navHomepageSearchType").hide();
    });

    $("#user_avatar img").mouseenter(function(){
        $("#homepageProfileMenuIcon").addClass("homepageProfileMenuIconhover");
        $("#topnav_login_list").show();
    });
    $("#navHomepageProfile").mouseleave(function(){
        $("#homepageProfileMenuIcon").removeClass("homepageProfileMenuIconhover");
        $("#topnav_login_list").hide();
    });

    function signout(){
        $.post(
                '<%= signout_path%>',
                {}
        );
    }
</script>
